Name: acidrip
Version: 0.14
Release: alt1

Summary: Video ripping and conversion tool
License: GPL
Group: Video

Url: http://untrepid.com/acidrip/
Source: %name-%version.tar.bz2

# late Gtk2 initialization (makes syntax check possible without DISPLAY)
Patch0: %name-0.14-alt-init-Gtk2.patch

BuildArch: noarch
Requires: MPlayer lsdvd mencoder

# Automatically added by buildreq on Sat Mar 05 2005
BuildRequires: MPlayer lsdvd mencoder perl-Glib perl-Gtk2 perl-devel

%description
AcidRip is an automated front end for MPlayer/Mencoder written in Perl,
using Gtk2::Perl for a graphical interface. Makes encoding a DVD just
one button click!

%prep
%setup -q
%patch0 -p1

%build
%perl_vendor_build

%install
%perl_vendor_install

%__mkdir_p %buildroot%_menudir
%__cat <<__EOF__ >%buildroot%_menudir/%name
?package(%name): \
	command=%_bindir/%name \
	title=AcidRip \
	longtitle="%summary" \
	section="Multimedia/Video" \
	needs=x11
__EOF__

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/%name
%_man1dir/%name.*
%_menudir/%name
%dir %perl_vendor_privlib/AcidRip
%perl_vendor_privlib/AcidRip/*.pm
%perl_vendor_privlib/AcidRip/logo.png

%changelog
* Sat Mar 05 2005 Alexey Tourbin <at@altlinux.ru> 0.14-alt1
- 0.11 -> 0.14, resurrected from orphaned packages
- heavy specfile clenaup and policy enforcement

* Tue Nov 18 2003 Egor S. Orlov <oes@altlinux.ru> 0.11-alt3
- added fix from at@altlinux

* Wed Nov 12 2003 Egor S. Orlov <oes@altlinux.ru> 0.11-alt2
- fixed rebuild problem with lsdvd

* Mon Oct 06 2003 Egor S. Orlov <oes@altlinux.ru> 0.11-alt1
- New version

* Fri Oct 03 2003 Egor S. Orlov <oes@altlinux.ru> 0.10-alt1
- Fixed requires for hasher build

* Fri Aug 29 2003 Egor S. Orlov <oes@altlinux.ru> 0.10-alt0.1
- Version 0.10 (GTK2)

* Mon Aug 25 2003 Egor S. Orlov <oes@altlinux.ru> 0.9-alt0.4
- Added russian translation for description and summary

* Tue Aug 05 2003 Egor S. Orlov <oes@altlinux.ru> 0.9-alt0.3
- Fixed BuildArch

* Fri Aug 01 2003 Egor S. Orlov <oes@altlinux.ru> 0.9-alt0.2
- Fixed menu item

* Fri Aug 01 2003 Egor S. Orlov <oes@altlinux.ru> 0.9-alt0.1
- Initial build for ALT
- Added acidrip-howto.html

* Fri Sep 27 2002 - Chris Phillips,,, <acid_kewpie\@users.sourceforge.net>
  wrote stuff
